#

API Docs for: 1.4.0
Show: Inherited Protected Private Deprecated

# AssetLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/AssetLoader.js:5`
Module: PIXI

A Class that loads a bunch of images / sprite sheet / bitmap font files. Once the assets have been loaded they are added to the PIXI Texture cache and can be accessed easily through PIXI.Texture.fromImage() and PIXI.Sprite.fromImage() When all items have been loaded this class will dispatch a 'onLoaded' event As each individual item is loaded this class will dispatch a 'onProgress' event

## Constructor

### `AssetLoader`

(

- `assetURLs`
- `crossorigin`

)

Defined in `src/pixi/loaders/AssetLoader.js:5`

#### Parameters:

- `assetURLs` Array

  an array of image/sprite sheet urls that you would like loaded supported. Supported image formats include 'jpeg', 'jpg', 'png', 'gif'. Supported sprite sheet data formats only include 'JSON' at this time. Supported bitmap font data formats include 'xml' and 'fnt'.

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties
- Events

## Item Index

### Methods

- load
- onAssetLoaded

### Properties

- assetURLs
- crossorigin
- loadersByType

### Events

- onComplete
- onProgress

## Methods

### `load`

()

Defined in `src/pixi/loaders/AssetLoader.js:101`

Starts loading the assets sequentially

### `onAssetLoaded`

() private

Defined in `src/pixi/loaders/AssetLoader.js:137`

Invoked after each file is loaded

## Properties

### `assetURLs`

Array

Defined in `src/pixi/loaders/AssetLoader.js:25`

The array of asset URLs that are going to be loaded

### `crossorigin`

Boolean

Defined in `src/pixi/loaders/AssetLoader.js:33`

Whether the requests should be treated as cross origin

### `loadersByType`

Object

Defined in `src/pixi/loaders/AssetLoader.js:41`

Maps file extension to loader types

## Events

### `onComplete`

Defined in `src/pixi/loaders/AssetLoader.js:65`

Fired when all the assets have loaded

### `onProgress`

Defined in `src/pixi/loaders/AssetLoader.js:60`

Fired when an item has loaded